package edu.uoc.bsolee.sarau.ui.host.check_in

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import edu.uoc.bsolee.sarau.repository.BookingRepository
import edu.uoc.bsolee.sarau.repository.EventRepository
import edu.uoc.bsolee.sarau.repository.UserRepository

@Suppress("UNCHECKED_CAST")
class EventCheckInViewModelFactory : ViewModelProvider.Factory {
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        if (modelClass.isAssignableFrom(EventCheckInViewModel::class.java)) {
            return EventCheckInViewModel(
                bookingRepository = BookingRepository(),
                eventRepository = EventRepository(),
                userRepository = UserRepository()
            ) as T
        }
        throw IllegalArgumentException("Unknown ViewModel class")
    }
}