package edu.uoc.bsolee.sarau.ui.user.booking_detail

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import edu.uoc.bsolee.sarau.repository.EventRepository
import edu.uoc.bsolee.sarau.repository.UserRepository

@Suppress("UNCHECKED_CAST")
class BookingDetailViewModelFactory : ViewModelProvider.Factory {
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        if (modelClass.isAssignableFrom(BookingDetailViewModel::class.java)) {
            return BookingDetailViewModel(
                eventRepository = EventRepository(),
                userRepository = UserRepository()
            ) as T
        }
        throw IllegalArgumentException("Unknown ViewModel class")
    }
}