package edu.uoc.bsolee.sarau.model

data class Ticket(
    val id: String = "",
    val name: String? = "",
    val description: String? = "",
    val price: Double? = -1.0,
    val capacity: Int? = -1,
    val active: Boolean = false
)

fun Ticket.inactivate() = Ticket(id, name, description, price, capacity, false)

