package edu.uoc.bsolee.sarau.model

data class User(
    val id: String,
    val name: String?,
    val email: String,
    val telephone: String?,
    val image: String?
)

fun User.asHost() = Host(
    this.id, "", this.name, this.email, this.telephone, null, null, this.image
)

fun User.changeImageUri(newUri: String?) = this.copy(image = newUri)