package edu.uoc.bsolee.sarau.ui.host.create_event

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import edu.uoc.bsolee.sarau.repository.EventRepository

@Suppress("UNCHECKED_CAST")
class CreateEventViewModelFactory : ViewModelProvider.Factory {
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        if (modelClass.isAssignableFrom(CreateEventViewModel::class.java)) {
            return CreateEventViewModel(
                eventRepository = EventRepository()
            ) as T
        }
        throw IllegalArgumentException("Unknown ViewModel class")
    }
}