package edu.uoc.bsolee.sarau.ui.host.detail_event

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import edu.uoc.bsolee.sarau.repository.EventRepository

@Suppress("UNCHECKED_CAST")
class HostDetailEventViewModelFactory : ViewModelProvider.Factory {
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        if (modelClass.isAssignableFrom(HostDetailEventViewModel::class.java)) {
            return HostDetailEventViewModel(
                eventRepository = EventRepository()
            ) as T
        }
        throw IllegalArgumentException("Unknown ViewModel class")
    }
}